Bug 109034 - bonding is broken in 2.6.0-0.test9.1.67
bonding is broken in 2.6.0-0.test9.1.67
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-11-04 11:31 EST by Hrunting Johnson
Modified: 2007-04-18 12:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:41:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Hrunting Johnson 2003-11-04 11:31:47 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.0.3705)

Description of problem:
With the recent bonding changes in 2.4.x and 2.6.0, the ifenslave 
software distributed with redhat9 won't work with kernel 2.6.0.  
However, they have accepted patches in 2.4 and have patches pending 
in 2.6.0 that fix this problem (without upgrading ifenslave).  One 
patch is given here:


Also, more discussion on this, including bitkeeper packages is 
available here (a bug I filed with the kernel developers):


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.ifup bond0
2.ifenslave bond0 eth0 eth1

Actual Results:  BOND_SETHWADDR on eth0 failed: Operation not 

Expected Results:  Success!

Additional info:

This seems to be a relatively simple fix.  I tried using the rawhide 
RPM of iputils, but they wouldn't install on a Redhat 9 system with 
all errata and the necessary RPMS for the 2.6.0 kernel.
Comment 1 Bugzilla owner 2004-09-30 11:41:41 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.